 <?php
                        
 require_once ('../inventario/conexion.php');

  $objconexion = new conexion();

   $sentenciaselect = "SELECT 
    historial_tablets.serial_tablets,
    historial_tablets.ip, 
    estado_equipo.nombre_estadoequipo, 
    marca_tablets.nombre_marcatablets, 
    memoria.nombre_memoria,
    procesador.nombre_procesador,
    sistema_operativo.nombre_sistemaoperativo,
    historial_tablets.cargador_serial,
    historial_tablets.fecha_historial, 
     historial_tablets.observacion
    from historial_tablets,estado_equipo,marca_tablets,memoria,procesador,sistema_operativo
    where historial_tablets.estado_tablets=estado_equipo.id_estadoequipo AND historial_tablets.marca_tablets=marca_tablets.id_marcatablets AND historial_tablets.memoria=memoria.id_memoria AND historial_tablets.procesador=procesador.id_procesador AND historial_tablets.sistema_operativo=sistema_operativo.id_sistemaoperativo 
     and historial_tablets.serial_tablets= (case when NOT EXISTS(select historial_tablets.serial_tablets from historial_tablets where historial_tablets.serial_tablets ='". $_GET['var1']."') then historial_tablets.serial_tablets else '". $_GET['var1']."' end)";

    $arreglo = $objconexion->consultararraynum($sentenciaselect);
    mostrar($arreglo);

    function mostrar($inarreglo)
    {
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
    echo "<tr>";
    $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

    echo "<td>";
    echo $inarreglo[$i][$j];
    echo "</td>";


    }
    echo "</tr>";
    }
    }


?>  